summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Ullmann <labre@posteo.de>2018-04-19 21:19:10 +0200
committerJames Le Cuirot <chewi@gentoo.org>2018-04-23 00:01:34 +0100
commitd86a9fce4f78214f024a6923383218ef80ec8ad2 (patch)
tree31114c418d4856346808a269f9807b7fb2dcf8e6
parentnet-libs/mbedtls: remove vulnerable versions, bug #647800 (diff)
downloadgentoo-d86a9fce4f78214f024a6923383218ef80ec8ad2.tar.gz
gentoo-d86a9fce4f78214f024a6923383218ef80ec8ad2.tar.bz2
gentoo-d86a9fce4f78214f024a6923383218ef80ec8ad2.zip
dev-java/oracle-jdk-bin: Security bump to 1.8.0.172
Package-Manager: Portage-2.3.24, Repoman-2.3.6 Bug: https://bugs.gentoo.org/653560 Closes: https://github.com/gentoo/gentoo/pull/8076
-rw-r--r--dev-java/oracle-jdk-bin/Manifest14
-rw-r--r--dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.172.ebuild301
2 files changed, 315 insertions, 0 deletions
diff --git a/dev-java/oracle-jdk-bin/Manifest b/dev-java/oracle-jdk-bin/Manifest
index 5db1a7fbdec..5efd9b3e0b9 100644
--- a/dev-java/oracle-jdk-bin/Manifest
+++ b/dev-java/oracle-jdk-bin/Manifest
@@ -12,6 +12,20 @@ DIST jdk-8u162-solaris-sparcv9-demos.tar.gz 9799694 BLAKE2B e6812e0771cfde50ccb2
DIST jdk-8u162-solaris-sparcv9.tar.gz 104118900 BLAKE2B 8aa9e54e1cc189517caab4b799d2a0cb2ad8f5a5796058cb18bcdca0dd03b1dbfe927a88cb7bc257c79412a0a2594762e083e1979ee4fd21662f152c79b6b445 SHA512 10249be011c526ee707dfc1f293351d60892b64f1b9160b70583d94b17989e6705a69d6502b477a960b7826cadbb214e52aae3ce36aa4bcb3b6ddf8d06fb90eb
DIST jdk-8u162-solaris-x64-demos.tar.gz 9752263 BLAKE2B 50e28f56df39b355587fc5894edb065eca115ef6f71c9afcef0c2640b9cd2dc8df9bb315a85219dbce96a59ab24304b429f0c756548b7a9fe26155f50916a11a SHA512 173c887650fa92f5c515fe5f7973c488301253344161ede7b1003a7fae0b5404c81fe450235c485846cb262ae82684500e249ac134f248889bea9ad05048cc1c
DIST jdk-8u162-solaris-x64.tar.gz 101741152 BLAKE2B 9e01659aa83b11b20e47842b7ef5c23b3e376540023d92a1e2350083037d45872cb15138fcd37ad62ea05ed5d47a716b0c8dc792f415ecd18ada6ed9b075aea4 SHA512 9755a4b9af4b5aa7e904748e5d627ebffb2ff290748d28aac9b494b372815a6ca3ee219c140ed43698a341f495ccffe5f9cae3bea0ad94e1e14fefa84d287783
+DIST jdk-8u172-linux-arm32-vfp-hflt-demos.tar.gz 10423820 BLAKE2B af3c7edab4e0bd3c785914292ac227138af25a948fa580ab466937f169806254bc12476dd1b4b320ce4997f52d41ab4851a7c82c47f33bbd3080cc49c1f8d091 SHA512 8b18204d5bfb8545db71e7b3f5f6fd6d67077116a32c6cf33cbe192a88c768a97082dbd62a436b2c75f45b3d5aac8974f8bf653dd3902121f4881193dff226cb
+DIST jdk-8u172-linux-arm32-vfp-hflt.tar.gz 81781271 BLAKE2B cf69c1964126e6f79324ac5aaca552f6984925a5e2cd1dce8417a6c61792dba908e0cd92127405f8f10fafd2b7b6a33e76d5a4f766e72fe8bc928ffa9612c9e7 SHA512 451b1b4875775ee40c8b9260f1d6437d8f5d14ba12b578eb4bc855a04d061c5dc7a320b9ab962c8f26d9a73c8975122cd31c412b44654dd07e47de8a024f88fd
+DIST jdk-8u172-linux-arm64-vfp-hflt-demos.tar.gz 10438462 BLAKE2B f72f2360b75d35443b5845669cb48d517591ad870253c6ae2a7fc341bcf12f86351125691f973f6cebb6a286d1f1763a93f38e238a00eb3562676cfcdff8b026 SHA512 91cfc64aed933c6760dd32b07609fe27edf13c7974e9ed6e5e9c3eddf47416ed97caec525a028ecdd8cf70d20d8fc2655c250befff9c37f38cba9e338d4c56d8
+DIST jdk-8u172-linux-arm64-vfp-hflt.tar.gz 78538075 BLAKE2B 2dcfe46785c1ba53af5f6f662a323c832eb708c1c1db311e97188850bf34bc543da15af35571cff1163b463770756d405b01d9f0bab8fb62a0714499433d0264 SHA512 762d6cf3e6aef60d75b0d1096c8ff5b92d17141fb5176bf74d294bb8e1921313f0f33d0424e6aa523a9237ed29fb6e7fbd76480326aa55004cea8065b0ac8d47
+DIST jdk-8u172-linux-i586-demos.tar.gz 59159082 BLAKE2B 2e1b9fc6498e49f61294e94e7177239bfc4e714eae552deaaa25211e3b6d0e95b4a0f13cd9cd67adada356697e7958b1853307bdce227228038cc5b9e0b3c3a3 SHA512 01aa66b78f944292ffc890cc7ddb19a8c45dca092e2ed49ac16b2c0ad217e2f7226f1bc48c9709755ab3cc566f086f3271220a66963de7fd184f5abb3704f981
+DIST jdk-8u172-linux-i586.tar.gz 193889453 BLAKE2B 298c81f62df9d65c756245f10d18a914598050d2f68106158c68bb9102fefca563d24706ec99fa78733da0ce29d4ab41c3eb0397603e45a6d82883f34157a5dc SHA512 1b2a8a582e85f0ea6b2ae5358e5392b351a6bb4f1277c15281861387119cce9cc0c0c8efddf483aa79eddc273812874413af24c0bafa9e39281995f9cfa0719e
+DIST jdk-8u172-linux-x64-demos.tar.gz 59218933 BLAKE2B 6569f49ac37d84ee8e086f37db32577a399595f316ceeda2be787c6c0b2f41d42e5b739957b8e9c69a6eae06cd85028dccde39f2d05c50a04be7118c69d5c2d8 SHA512 287fe6a8f1b0efdfb97989cb1364854b914f3d4fca98be395fa4851bde2fef18aee05fede24bb342886dd2d3c55c92d9855bde7472e47ceb71ffc60eacbf21ff
+DIST jdk-8u172-linux-x64.tar.gz 190921804 BLAKE2B f9c85b335432d7572e97ba384fff4e83fe43125f361cc9a357b06e43326cd8350b3fcd608113e8f346a373d50be0f2b86958bda3d99abea6289bad610e734704 SHA512 b098de15802a1053053f955e87a2ad9bc56667f249180eebe70620f6ce0a2ff5377652b72cf99c11f73ed1ab7962ca01e6c4f2f52286c0cefe8fc8bfe1229889
+DIST jdk-8u172-macosx-x64.dmg 259908002 BLAKE2B 7849a02660fbeef008df859c84655e845ffa78e0e0fd343672c8eb0c1f93e9516d777b14bad25711e587ce24d83b63547e2f901c915a0addef6c94b5cf334ac6 SHA512 7d62c294597a76c716446054825741d0ea837ddc98fc95a254e768b3cf618a1e68ca99dfc472cfa3edd2e22796c7bfcef27837abbd159d757ebe5cd63fd4a0eb
+DIST jdk-8u172-macosx-x86_64-demos.zip 59765923 BLAKE2B 127ea9b087d0768c7b6f6812ac58bc32f5edacb49c2f8c80088fba27cb55e34d5c1a5b5ad4c131b7f32ee4ffbe704417e125261d92a87bfdf2b136b8fbc169e1 SHA512 15e49030c4c5459ac6f35f62e146a7fa61a6d25858396ddbfb15d2c49b07a35ffe36720a3e06c3fa4e3f05e58ccdaa00dcc3d065f7c33eff9d6fcf4fc2dbb1ae
+DIST jdk-8u172-solaris-sparcv9-demos.tar.gz 9794438 BLAKE2B 9498f2cf09619a125280964cbbde16f90713826399beac5af0c71b91d62a2f5f74599b78694cb171f46c276beb3636e9c00ada13ac1e01c133e5e001a25d220e SHA512 deae8eb5d3927c848d9350f79d79731b2813d5e3ea5fd7b111f2dee52eb4d4cc2d277329475656ecf801cb7379cdda1d6402e0994207d259335896e7484de2e1
+DIST jdk-8u172-solaris-sparcv9.tar.gz 104179591 BLAKE2B 0d17d4085ba19e5accab1495804799460ef5c327dad603fd8ec00e88558422aa0abbc0b98dc9bd78896eb06745d934c9c784e9697980f8f2fe3533e57d55f0da SHA512 373386058b25abd9f0c6ec3b0de528449e11281e36cdd94f66d7b976d78ccaeb6cf953d41c57552b74f46a21c8ca46489978d82a72748b32d1bc0ad65f2642f9
+DIST jdk-8u172-solaris-x64-demos.tar.gz 9760535 BLAKE2B 7c607f6e716f57adf6b51fc6c8061edbe56c8eef732725bd2175209659e2260084d06355a568fdf1ec57ee5b256bb3204e24d5017a9ed2d9d388bb7b5763af1b SHA512 2bfbf248b6b0948ccb17ee7323168ca8760a29dd5980f917cd5414be7ee4b8aa93158a003ba450592be73fa9ebec29a45d85301bf4ed848468adb13ad53b4b08
+DIST jdk-8u172-solaris-x64.tar.gz 101774902 BLAKE2B eacd050346e9ed3d939cb8ff79cb1c024e6c0adb6f6677fa348461b5661ea90b8d006d799d63fbfaebc6fd71e25ccd06751fb8dc252f06ec56acfee6f7a1cc21 SHA512 7de041389aac89060091b08aac55d713fb99a7805fce94605e9798bbcc228dbc65db265d9dcbac87953d7c82b9773debb26bbe83301cd8a344233cb7045964e4
DIST jdk-9.0.4_linux-x64_bin.tar.gz 354635831 BLAKE2B 6d102ca812c7fcf03b611d95880af51916dde52f09f3a5b972abd6575c73e8cca1855fb50ac00aac3f4643a1e422b5fdb97a746608b5a4235d8664926a061730 SHA512 787addfcf3d4736507ad8fa54b22894a33d39bde01d9d187d5c9f3433b43c9e8b14404a8366d0bc8510faa8936274bbfa304109d3927aa323b3f8a285efaffd6
DIST jdk-9.0.4_osx-x64_bin.dmg 400672048 BLAKE2B 0bcc3643ccbc72cd98aca71823e06fd60068a7e1d72c7ce59f8e4c26bb9461a207f57ef239b244ec05c8f843666f2854b07a5f05841819cfe79ed8fefafb3650 SHA512 34191b5802c2d369f890cb1b563f77ee040b9af6ee4fc8ae81974f46afea675401e2a02803fc4345e11bab1103397dd8b583d68bb81edcdd02902cb3e595cc52
DIST jdk-9.0.4_solaris-sparcv9_bin.tar.gz 217025485 BLAKE2B 6b3d4f4701ff3349f8acce727fcfcb06ce420e54dd32d2e6b91b71aa898a8d6a293375ec2cb0c66f14a5df77a6f5b7016160572b995ad84a593e9d5c6c928184 SHA512 9418a725a33dfbedf7f692abfb92550f23fca594fa8c1b85934d601284261339f177a32af7440e0b09233b2e99b2fd7cef835c54252cec6a645ea322a389de14
diff --git a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.172.ebuild b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.172.ebuild
new file mode 100644
index 00000000000..579134008f2
--- /dev/null
+++ b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.172.ebuild
@@ -0,0 +1,301 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop gnome2-utils java-vm-2 prefix versionator
+
+KEYWORDS="-* ~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc64-solaris ~x64-solaris"
+
+if [[ "$(get_version_component_range 4)" == 0 ]] ; then
+ S_PV="$(get_version_component_range 1-3)"
+else
+ MY_PV_EXT="u$(get_version_component_range 4)"
+ S_PV="$(get_version_component_range 1-4)"
+fi
+
+MY_PV="$(get_version_component_range 2)${MY_PV_EXT}"
+
+declare -A ARCH_FILES
+ARCH_FILES[amd64]="jdk-${MY_PV}-linux-x64.tar.gz"
+ARCH_FILES[arm]="jdk-${MY_PV}-linux-arm32-vfp-hflt.tar.gz"
+ARCH_FILES[arm64]="jdk-${MY_PV}-linux-arm64-vfp-hflt.tar.gz"
+ARCH_FILES[x86]="jdk-${MY_PV}-linux-i586.tar.gz"
+ARCH_FILES[x64-macos]="jdk-${MY_PV}-macosx-x64.dmg"
+ARCH_FILES[sparc64-solaris]="jdk-${MY_PV}-solaris-sparcv9.tar.gz"
+ARCH_FILES[x64-solaris]="jdk-${MY_PV}-solaris-x64.tar.gz"
+
+for keyword in ${KEYWORDS//-\*} ; do
+ case "${keyword#\~}" in
+ *-linux) continue ;;
+ x64-macos) demo="jdk-${MY_PV}-macosx-x86_64-demos.zip" ;;
+ *) demo=${ARCH_FILES[${keyword#\~}]/./-demos.} ;;
+ esac
+
+ SRC_URI+="
+ ${keyword#\~}? (
+ ${ARCH_FILES[${keyword#\~}]}
+ examples? ( ${demo} )
+ )"
+done
+
+DESCRIPTION="Oracle's Java SE Development Kit"
+HOMEPAGE="http://www.oracle.com/technetwork/java/javase/"
+LICENSE="Oracle-BCLA-JavaSE examples? ( BSD )"
+SLOT="1.8"
+IUSE="alsa commercial cups derby doc examples +fontconfig headless-awt javafx jce nsplugin selinux source visualvm"
+REQUIRED_USE="javafx? ( alsa fontconfig )"
+RESTRICT="fetch preserve-libs strip"
+QA_PREBUILT="*"
+
+# NOTES:
+#
+# * cups is dlopened.
+#
+# * libpng is also dlopened but only by libsplashscreen, which isn't
+# important, so we can exclude that.
+#
+# * We still need to work out the exact AWT and JavaFX dependencies
+# under MacOS. It doesn't appear to use many, if any, of the
+# dependencies below.
+#
+RDEPEND="!x64-macos? (
+ !headless-awt? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libXtst
+ )
+ javafx? (
+ dev-libs/glib:2
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ media-libs/freetype:2
+ x11-libs/cairo
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXtst
+ x11-libs/libXxf86vm
+ x11-libs/pango
+ virtual/opengl
+ )
+ )
+ alsa? ( media-libs/alsa-lib )
+ cups? ( net-print/cups )
+ doc? ( dev-java/java-sdk-docs:${SLOT} )
+ fontconfig? ( media-libs/fontconfig:1.0 )
+ !prefix? ( sys-libs/glibc:* )
+ selinux? ( sec-policy/selinux-java )"
+
+DEPEND="app-arch/zip
+ examples? ( x64-macos? ( app-arch/unzip ) )"
+
+S="${WORKDIR}/jdk$(replace_version_separator 3 _ ${S_PV})"
+
+pkg_nofetch() {
+ local a
+ einfo "Please download these files and move them to ${DISTDIR}:"
+ einfo
+ for a in ${A} ; do
+ [[ ! -f ${DISTDIR}/${a} ]] && einfo " ${a}"
+ done
+ einfo
+ einfo " http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html"
+ einfo
+ einfo "If the above mentioned URL does not point to the correct version anymore,"
+ einfo "please download the file from Oracle's Java download archive:"
+ einfo
+ einfo " http://www.oracle.com/technetwork/java/javase/downloads/java-archive-javase8-2177648.html"
+ einfo
+}
+
+src_unpack() {
+ if use x64-macos ; then
+ mkdir -p "${T}"/dmgmount || die
+ hdiutil attach "${DISTDIR}"/jdk-${MY_PV}-macosx-x64.dmg \
+ -mountpoint "${T}"/dmgmount || die
+ local jdkgen=$(get_version_component_range 2)
+ local uver=$(get_version_component_range 4)
+ ( cd "${T}" &&
+ xar -xf "${T}/dmgmount/JDK ${jdkgen} Update ${uver}.pkg" \
+ jdk${PV//.}.pkg/Payload ) || die
+ zcat "${T}"/jdk${PV//.}.pkg/Payload | cpio -idv || die
+ hdiutil detach "${T}"/dmgmount || die
+ mv Contents/Home "${S}" || die
+ fi
+
+ default
+}
+
+src_prepare() {
+ default
+
+ if [[ -n ${JAVA_PKG_STRICT} ]] ; then
+ # Mark this binary early to run it now.
+ pax-mark m ./bin/javap
+
+ eqawarn "Ensure that this only calls trackJavaUsage(). If not, see bug #559936."
+ eqawarn
+ eqawarn "$(./bin/javap -J-Duser.home=${T} -c sun.misc.PostVMInitHook || die)"
+ fi
+
+ # Remove the hook that calls Oracle's evil usage tracker. Not just
+ # because it's evil but because it breaks the sandbox during builds
+ # and we can't find any other feasible way to disable it or make it
+ # write somewhere else. See bug #559936 for details.
+ zip -d jre/lib/rt.jar sun/misc/PostVMInitHook.class || die
+}
+
+src_install() {
+ local dest="/opt/${P}"
+ local ddest="${ED}${dest#/}"
+
+ # Create files used as storage for system preferences.
+ mkdir jre/.systemPrefs || die
+ touch jre/.systemPrefs/.system.lock || die
+ touch jre/.systemPrefs/.systemRootModFile || die
+
+ if ! use alsa ; then
+ rm -vf jre/lib/*/libjsoundalsa.* || die
+ fi
+
+ if ! use commercial ; then
+ rm -vfr lib/missioncontrol jre/lib/jfr* || die
+ fi
+
+ if use headless-awt ; then
+ rm -vf {,jre/}lib/*/lib*{[jx]awt,splashscreen}* \
+ {,jre/}bin/{javaws,policytool} \
+ bin/appletviewer || die
+ fi
+
+ if ! use javafx ; then
+ rm -vf jre/lib/*/lib*{decora,fx,glass,prism}* \
+ jre/lib/*/libgstreamer-lite.* {,jre/}lib/{,ext/}*fx* \
+ bin/*javafx* bin/javapackager || die
+ fi
+
+ if ! use nsplugin ; then
+ rm -vf jre/lib/*/libnpjp2.* || die
+ else
+ local nsplugin=$(echo jre/lib/*/libnpjp2.*)
+ local nsplugin_link=${nsplugin##*/}
+ nsplugin_link=${nsplugin_link/./-${PN}-${SLOT}.}
+ dosym "${dest}/${nsplugin}" "/usr/$(get_libdir)/nsbrowser/plugins/${nsplugin_link}"
+ fi
+
+ # Even though plugins linked against multiple ffmpeg versions are
+ # provided, they generally lag behind what Gentoo has available.
+ rm -vf jre/lib/*/libavplugin* || die
+
+ # Prune all fontconfig files so that libfontconfig will be used.
+ rm -v jre/lib/fontconfig.* || die
+
+ # Packaged as dev-util/visualvm but some users prefer this version.
+ use visualvm || find -name "*visualvm*" -exec rm -vfr {} + || die
+
+ # Install desktop file for the Java Control Panel. Using
+ # ${PN}-${SLOT} to prevent file collision with JRE and other slots.
+ if [[ -d jre/lib/desktop/icons ]] ; then
+ local icon
+ pushd jre/lib/desktop/icons >/dev/null || die
+ for icon in */*/apps/sun-jcontrol.png ; do
+ insinto /usr/share/icons/"${icon%/*}"
+ newins "${icon}" sun-jcontrol-${PN}-${SLOT}.png
+ done
+ popd >/dev/null || die
+ make_desktop_entry \
+ "${dest}"/bin/jcontrol \
+ "Java Control Panel for Oracle JDK ${SLOT}" \
+ sun-jcontrol-${PN}-${SLOT} \
+ "Settings;Java;"
+ fi
+
+ dodoc COPYRIGHT
+ dodir "${dest}"
+ cp -pPR bin include jre lib man "${ddest}" || die
+
+ if use derby ; then
+ cp -pPR db "${ddest}" || die
+ fi
+
+ if use examples && [[ ${A} = *-demos.* ]] ; then
+ cp -pPR demo sample "${ddest}" || die
+ fi
+
+ ln -s policy/$(usex jce unlimited limited)/{US_export,local}_policy.jar \
+ "${ddest}"/jre/lib/security/ || die
+
+ if use source ; then
+ cp -v src.zip "${ddest}" || die
+
+ if use javafx ; then
+ cp -v javafx-src.zip "${ddest}" || die
+ fi
+ fi
+
+ # Only install Gentoo-specific fontconfig if flag is disabled.
+ # https://docs.oracle.com/javase/8/docs/technotes/guides/intl/fontconfig.html
+ if ! use fontconfig ; then
+ insinto "${dest}"/jre/lib/
+ doins "$(prefixify_ro "${FILESDIR}"/fontconfig.properties)"
+ fi
+
+ # Needs to be done before CDS, bug #215225.
+ java-vm_set-pax-markings "${ddest}"
+
+ # See bug #207282.
+ einfo "Creating the Class Data Sharing archives"
+ case ${ARCH} in
+ arm|ia64)
+ ${ddest}/bin/java -client -Xshare:dump || die
+ ;;
+ x86)
+ ${ddest}/bin/java -client -Xshare:dump || die
+ # limit heap size for large memory on x86 #467518
+ # this is a workaround and shouldn't be needed.
+ ${ddest}/bin/java -server -Xms64m -Xmx64m -Xshare:dump || die
+ ;;
+ *)
+ ${ddest}/bin/java -server -Xshare:dump || die
+ ;;
+ esac
+
+ # Remove empty dirs we might have copied.
+ find "${D}" -type d -empty -exec rmdir -v {} + || die
+
+ if use x64-macos ; then
+ local lib
+ for lib in lib{decora_sse,glass,prism_{common,es2,sw}}.dylib ; do
+ ebegin "Fixing self-reference of ${lib}"
+ install_name_tool \
+ -id "${EPREFIX}${dest}"/jre/lib/${lib} \
+ "${ddest}"/jre/lib/${lib} || die
+ eend $?
+ done
+ fi
+
+ java-vm_install-env "${FILESDIR}"/${PN}.env.sh
+ java-vm_revdep-mask
+ java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ java-vm-2_pkg_postinst
+
+ if ! use headless-awt && ! use javafx ; then
+ ewarn "You have disabled the javafx flag. Some modern desktop Java applications"
+ ewarn "require this and they may fail with a confusing error message."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ java-vm-2_pkg_postrm
+}